#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 0
#include /usr/share/dpkg/default.mk
VERS ?= $(shell dpkg-parsechangelog -SVersion | cut -d- -f1)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export CXXFLAGS += -Wno-error

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DBUILD_SBW=OFF \
		-DBUILD_clapack=OFF \
		-DBUILD_expat=OFF \
		-DBUILD_libCombine=OFF \
		-DBUILD_libSBML=OFF \
		-DBUILD_libSEDML=OFF \
		-DBUILD_libnuml=OFF \
		-DBUILD_qwt=OFF \
		-DBUILD_qwtplot3d=OFF \
		-DBUILD_zipper=OFF \
		-DBUILD_zlib=OFF \
		-DBUILD_crossguid=OFF \
		-DBUILD_archive=OFF \
		-DCMAKE_INSTALL_PREFIX=$(CURDIR)/obj-$(DEB_HOST_MULTIARCH) \
		-DCMAKE_PREFIX_PATH=$(CURDIR)/obj-$(DEB_HOST_MULTIARCH) \

override_dh_auto_install:
	mkdir -p debian/copasi-dependencies/usr/lib/$(DEB_HOST_MULTIARCH)
	mv obj-$(DEB_HOST_MULTIARCH)/lib/* debian/copasi-dependencies/usr/lib/$(DEB_HOST_MULTIARCH)
	mv obj-$(DEB_HOST_MULTIARCH)/include debian/copasi-dependencies/usr
	find debian/copasi-dependencies/usr -name "*expat*" -delete
	rmdir debian/copasi-dependencies/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig || true

#override_dh_auto_clean:
#	dh_auto_clean
#	rm -rf bin tmp src create_dependencies.sh
#	tar xaf ../copasi-dependencies_$(VERS).orig.tar.*z --strip-components=1
